JacocoMerge (Gradle API 7.6.4)

Package org.gradle.testing.jacoco.tasks

## Class JacocoMerge

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.testing.jacoco.tasks.JacocoBase
      - - org.gradle.testing.jacoco.tasks.JacocoMerge

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @Deprecated
      @CacheableTask
      public class JacocoMerge
      extends JacocoBase

  Deprecated.
  The `JacocoReport` task accepts multiple execution files as an input. This task type provides duplicated functionality and will be removed in Gradle 8.0.
  Task to merge multiple execution data files into one.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JacocoMerge()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `executionData​(java.lang.Object... files)` | Deprecated. Adds execution data files to be merged.
    `void` | `executionData​(Task... tasks)` | Deprecated. Adds execution data generated by a task to the list of those to merge.
    `void` | `executionData​(TaskCollection tasks)` | Deprecated. Adds execution data generated by the given tasks to the list of those merged.
    `protected org.gradle.api.internal.project.IsolatedAntBuilder` | `getAntBuilder()` | Deprecated.
    `java.io.File` | `getDestinationFile()` | Deprecated. File to write merged execution data to.
    `FileCollection` | `getExecutionData()` | Deprecated. Collection of execution data files to merge.
    `void` | `merge()` | Deprecated.
    `void` | `setDestinationFile​(java.io.File destinationFile)` | Deprecated.
    `void` | `setDestinationFile​(Provider<java.io.File> destinationFile)` | Deprecated. Set the provider for calculating the destination file.
    `void` | `setExecutionData​(FileCollection executionData)` | Deprecated.

    - ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoBase

      `getJacocoClasspath, setJacocoClasspath`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### JacocoMerge

          public JacocoMerge()

      Deprecated.

  - ### Method Detail

    - #### getExecutionData

          @IgnoreEmptyDirectories
          @PathSensitive(RELATIVE)
          @InputFiles
          public FileCollection getExecutionData()

      Deprecated.
      Collection of execution data files to merge.

    - #### setExecutionData

          public void setExecutionData​(FileCollection executionData)

      Deprecated.

    - #### getDestinationFile

          @OutputFile
          public java.io.File getDestinationFile()

      Deprecated.
      File to write merged execution data to.

    - #### setDestinationFile

          public void setDestinationFile​(java.io.File destinationFile)

      Deprecated.

    - #### setDestinationFile

          public void setDestinationFile​(Provider<java.io.File> destinationFile)

      Deprecated.
      Set the provider for calculating the destination file.
      Parameters:
        `destinationFile` - Destination file provider
      Since:
        4.0

    - #### getAntBuilder

          @Inject
          protected org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

      Deprecated.

    - #### merge

          public void merge()

      Deprecated.

    - #### executionData

          public void executionData​(java.lang.Object... files)

      Deprecated.
      Adds execution data files to be merged.
      Parameters:
        `files` - one or more files to merge

    - #### executionData

          public void executionData​(Task... tasks)

      Deprecated.
      Adds execution data generated by a task to the list of those to merge. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.
      Parameters:
        `tasks` - one or more tasks to merge

    - #### executionData

          public void executionData​(TaskCollection tasks)

      Deprecated.
      Adds execution data generated by the given tasks to the list of those merged. Only tasks with a `JacocoTaskExtension` will be included; all others will be ignored.
      Parameters:
        `tasks` - one or more tasks to merge